import logging
import os
import datetime


def write_log():
    logger = logging.getLogger('王德发')
    logger.level = logging.NOTSET
    log_path = os.path.join(os.path.dirname(os.path.dirname(__file__)),
                            'report/log/BPM测试运行日志-%s.log' % (datetime.datetime.now().strftime('%Y.%m.%d')))
    handler = logging.FileHandler(log_path, mode='a', encoding='utf-8')
    format = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s - %(name)s')
    handler.setFormatter(format)
    logger.addHandler(handler)
    return logger
