import json
import os

from InterfaceAutoTest_V1.common import log


def read_json(file):
    if os.path.isfile(file) and file.endswith(".json"):
        try:
            with open(file, mode="r", encoding="utf-8") as f:
                return json.loads(f.read())
        except:
            log.error("打开json文件获取json文件的内容序列化为python对象失败，请察看json文件是否有错误！！！")
    else:
        log.error("json文件的路径不合法")
